CGAL 6.2 - Scale-Space Surface Reconstruction: CGAL::Scale_space_reconstruction_3::Advancing_front_mesher< Geom_traits > Class Template Reference

CGAL 6.2 - Scale-Space Surface Reconstruction

Loading...
Searching...
No Matches
List of all members | Public Member Functions
CGAL::Scale_space_reconstruction_3::Advancing_front_mesher< Geom_traits > Class Template Reference
Reference Manual » Classes

`#include <CGAL/Scale_space_reconstruction_3/Advancing_front_mesher.h>`

## Definition

template<typename Geom_traits>
class CGAL::Scale_space_reconstruction_3::Advancing_front_mesher< Geom_traits >

Surface mesher for scale space reconstruction based on `CGAL::Advancing_front_surface_reconstruction`.

This class applies the advancing front reconstruction algorithm with the possibility of using an upper bound on the length of the produced facets.

Is model of
  `CGAL::Scale_space_reconstruction_3::Mesher`

Template Parameters

  Geom_traits | geometric traits class. It must be a model of `DelaunayTriangulationTraits_3`. It must have a `RealEmbeddable` field number type. Generally, `Exact_predicates_inexact_constructions_kernel` is preferred.

Examples
  Scale_space_reconstruction_3/scale_space_advancing_front.cpp.

## Public Member Functions
| Advancing_front_mesher (FT maximum_facet_length=0., FT radius_ratio_bound=5, FT beta=0.52)
| Constructs and advancing front mesher.

## Constructor & Destructor Documentation

## ◆ Advancing_front_mesher()

template<typename Geom_traits >

CGAL::Scale_space_reconstruction_3::Advancing_front_mesher< Geom_traits >::Advancing_front_mesher | ( | FT | maximum_facet_length = `0.`,
|  | FT | radius_ratio_bound = `5`,
|  | FT | beta = `0.52`
| ) |  |

Constructs and advancing front mesher.

Parameters

  maximum_facet_length | upper bound on the length of the facets.
  radius_ratio_bound | candidates incident to surface triangles which are not in the beta-wedge are discarded, if the ratio of their radius and the radius of the surface triangle is larger than `radius_ratio_bound`. Described in Section Dealing with Multiple Components, Boundaries and Sharp Edges
  beta | half the angle of the wedge in which only the radius of triangles counts for the plausibility of candidates. Described in Section Plausibility of a Candidate Triangle